﻿.article-card {
    position: relative;
    overflow: hidden;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    border-radius: 8px;
}

.card-img-container {
    background-color: #e8e8e8;
    width: 100%;
    max-height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 8px;
}

.card-img {
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.article-card:hover {
    transform: scale(1.03);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.15);
}

.card-hover-footer {
    opacity: 0;
    background-color: #007bff;
    color: white;
    text-align: center;
    padding: 0.75rem;
    font-weight: bold;
    transition: opacity 0.3s ease;
}

.article-card:hover .card-hover-footer {
    opacity: 1;
}

.card-link-wrapper {
    text-decoration: none !important;
    color: inherit;
    display: block;
}

.card-link-wrapper:hover {
    text-decoration: none !important;
    color: inherit;
}

.card-link-wrapper:hover h5,
.card-link-wrapper:hover p {
    text-decoration: none !important;
}

.card-body {
    height: 250px;
    overflow-y: auto;
    overflow-x: hidden;
}

@media (max-width: 768px) {
    .card-hover-footer {
        opacity: 1 !important;
    }
}

.card-title {
    min-width: 20em;
}

.pagination-page-size-container {
    gap: 0.4rem;
}

.article-back-button{
    background-color: #007bff !important;
    color: white !important;
    text-align: center;
    padding: 0.75rem;
    font-weight: bold;
    border: none !important;
    box-shadow: none !important;
    border-radius: 8px;
    text-decoration: none !important;
    transform: translateX(0px);
    transition: transform 200ms ease-in-out;
}

.article-back-button:hover{
    color: white !important;
    box-shadow: none !important;
    text-decoration: none !important;
    transform: translateX(-10px);
}

.article-details-cover{
    max-width: 350px;
    border-radius: 8px;
}

.article-details-metadata p{
    margin-block-end: 0;
}

img{
    max-width: 100%;
    height: auto;
}